Ubuntu

"Write in this folder" is confusing terminology

Reported by Marc Carson on 2009-06-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
Low
Chow Loong Jin
nautilus-share (Ubuntu)
Wishlist
Chow Loong Jin

Bug Description

Binary package hint: nautilus-share

**Not a duplicate of #258900.** The use of "write in this folder" in the "allow other people to write in this folder" option can be confusing for users. Perhaps a better way to put it is "make changes in this folder." The verb "to write" has several meanings, hurting the user's ability to understand this feature at an abstract level.

Further, using the word "Comment" as part of this option seems to complicate the situation. See attached screenshot.

Ubuntu Jaunty Jackalope 9.04

Marc Carson (baggageclaim) wrote :
Sebastien Bacher (seb128) wrote :

The wording is easy to change if somebody has a better suggestion, needs to happen early though so translator can work on the new string

Changed in nautilus-share (Ubuntu):
importance: Undecided → Wishlist

I'll work on this.
  affects ubuntu/nautilus-share
  status inprogress
  assignee hyperair
--
Regards,
Chow Loong Jin (GPG: 0x8F02A411)
Ubuntu Contributing Developer

Changed in nautilus-share (Ubuntu):
assignee: nobody → Chow Loong Jin (hyperair)
status: New → In Progress
Chow Loong Jin (hyperair) wrote :

On Thu, 2009-06-11 at 11:53 +0000, Sebastien Bacher wrote:
> The wording is easy to change if somebody has a better suggestion, needs
> to happen early though so translator can work on the new string
>
> ** Changed in: nautilus-share (Ubuntu)
> Importance: Undecided => Wishlist
>
How does the attached screenshot look? Changes include: string change
and Comment entry box position change. If there are no objections, I'll
try get this uploaded to Debian (and synced to Ubuntu) ASAP.

--
Regards,
Chow Loong Jin (GPG: 0x8F02A411)
Ubuntu Contributing Developer

How about "Allow others to change folder contents" ?

Marc Carson (baggageclaim) wrote :

Chow, I think your screenshot has it about right. I like the way you've changed where "Comments" appears.

As for exact wording, David's "Allow others to change folder contents" also works, and perhaps "Allow others to modify folder contents" might be another alternative. I don't really have a preference, personally.

Chow Loong Jin (hyperair) wrote :

On Thu, 2009-06-11 at 16:18 +0000, Marc Carson wrote:
> Chow, I think your screenshot has it about right. I like the way you've
> changed where "Comments" appears.
>
Thanks.
> As for exact wording, David's "Allow others to change folder contents"
> also works, and perhaps "Allow others to modify folder contents" might
> be another alternative. I don't really have a preference, personally.

Actually, come to think of it, to make it a little more standard,
perhaps it would be better to change it to "Allow others to create and
delete files", as is what's in the Permissions tab of a directory
properties window.
--
Regards,
Chow Loong Jin (GPG: 0x8F02A411)
Ubuntu Contributing Developer

Chow, I think you've got it just right. :)

Marc Carson (baggageclaim) wrote :

>perhaps it would be better to change it to "Allow others to create and
>delete files",

That sounds good to me.

Mat Tomaszewski (mat.t.) on 2009-06-12
Changed in hundredpapercuts:
importance: Undecided → Low
status: New → Confirmed
Chow Loong Jin (hyperair) wrote :

Fixed in 0.7.2-7, which is in Debian. Awaiting a sync into Ubuntu now.
--
Regards,
Chow Loong Jin (GPG: 0x8F02A411)
Ubuntu Contributing Developer

Changed in hundredpapercuts:
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus-share - 0.7.2-7

---------------
nautilus-share (0.7.2-7) unstable; urgency=low

  * debian/patches/08_change-confusing-wording.patch:
    + Change some confusing wording: "Allow other people to write in this
      folder" to "Allow others to make changes in this folder"
      (LP: #385801)
  * debian/patches/09_change-comments-location.patch:
    + Change confusing position of "Comment" field (LP: #385801)
  * debian/patches/*.patch:
    + Amend patch headers, the top line was accidentally excluded from all of
      them
  * debian/control:
    + Change of email address in Maintainer field

 -- Ubuntu Archive Auto-Sync <email address hidden> Mon, 15 Jun 2009 11:18:05 +0100

Changed in nautilus-share (Ubuntu):
status: In Progress → Fix Released
Changed in hundredpapercuts:
status: In Progress → Fix Released
Changed in hundredpapercuts:
milestone: none → round-1
Changed in hundredpapercuts:
assignee: nobody → David Siegel (djsiegel)
Changed in hundredpapercuts:
assignee: David Siegel (djsiegel) → nobody
assignee: nobody → Chow Loong Jin (hyperair)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers